Class | Tk::BWidget::LabelEntry
In: | tk/lib/tkextlib/bwidget/labelentry.rb
Parent: | TkEntry

### Methods

entrybind entrybind_append entrybind_remove entrybindinfo

### Included Modules

Scrollable

### Constants

TkCommandNames | = | ['LabelEntry'.freeze].freeze
WidgetClassName | = | 'LabelEntry'.freeze

### Public Instance methods

entrybind(context, *args)

def entrybind(*args)

      _bind([path, 'bind'], *args)
      self

end

[Source]

    # File tk/lib/tkextlib/bwidget/labelentry.rb, line 45
      def entrybind(context, *args)
        # if args[0].kind_of?(Proc) || args[0].kind_of?(Method)
        if TkComm._callback_entry?(args[0]) || !block_given?
          cmd = args.shift
        else
          cmd = Proc.new
        end
        _bind([path, 'bind'], context, cmd, *args)
        self
      end

entrybind_append(context, *args)

def entrybind_append(*args)

      _bind_append([path, 'bind'], *args)
      self

end

[Source]

    # File tk/lib/tkextlib/bwidget/labelentry.rb, line 60
      def entrybind_append(context, *args)
        #if args[0].kind_of?(Proc) || args[0].kind_of?(Method)
        if TkComm._callback_entry?(args[0]) || !block_given?
          cmd = args.shift
        else
          cmd = Proc.new
        end
        _bind_append([path, 'bind'], context, cmd, *args)
        self
      end

entrybind_remove(*args)

[Source]

    # File tk/lib/tkextlib/bwidget/labelentry.rb, line 71
      def entrybind_remove(*args)
        _bind_remove([path, 'bind'], *args)
        self
      end

entrybindinfo(*args)

[Source]

    # File tk/lib/tkextlib/bwidget/labelentry.rb, line 76
      def entrybindinfo(*args)
        _bindinfo([path, 'bind'], *args)
        self
      end

[Validate]